package me.Demon.DemonJoinPro.listener;

import me.Demon.DemonJoinPro.Main;
import me.Demon.DemonJoinPro.util.ConfigYml;
import me.Demon.DemonPlugin.DemonAPI;
import me.clip.placeholderapi.PlaceholderAPI;
import org.bukkit.Bukkit;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;

import java.util.List;

public class PlayerJoin implements Listener {

    @EventHandler
    public void onjoin(PlayerJoinEvent e){
        Player player = e.getPlayer();
        e.setJoinMessage(null);
        if (ConfigYml.firstjoin_enabled){
            if (!player.hasPlayedBefore()) {
                String message = ConfigYml.firstjoin_actions;
                message = PlaceholderAPI.setPlaceholders(player, message);
                Bukkit.broadcastMessage(message.replace("&", "§"));

                Bukkit.getScheduler().runTaskLater(Main.plugin, () -> {
                    player.performCommand("spawn");
                }, (long) 10L);
            }
        }

        if(ConfigYml.motds_enabled){
            if(!Main.Today_Motd.contains(player.getName())) {
                Main.Today_Motd.add(player.getName());
                List<String> motds_List = ConfigYml.motds_actions;
                for (String message : motds_List) {
                    player.sendMessage(message.replace("&", "§"));
                }
            }
        }

        if(ConfigYml.join_enabled){
            String message = ConfigYml.join_actions;
            message = PlaceholderAPI.setPlaceholders(player, message);
            for (Player all : Bukkit.getOnlinePlayers()) {
                DemonAPI.sendActionBar(all,message.replace("&", "§"));
            }
        }

    }

    @EventHandler
    public void onLeave(PlayerQuitEvent e){
        Player player = e.getPlayer();
        e.setQuitMessage(null);
        if(ConfigYml.leave_enabled){
            String message = ConfigYml.leave_actions;
            message = PlaceholderAPI.setPlaceholders(player, message);
            for (Player all : Bukkit.getOnlinePlayers()) {
                DemonAPI.sendActionBar(all,message.replace("&", "§"));
            }
        }
    }

}
