package me.Demon.DemonJoinPro.util;

import org.bukkit.configuration.file.FileConfiguration;

import java.util.ArrayList;
import java.util.List;

public class ConfigYml {

    private static FileConfiguration yml;

    public static boolean join_enabled;
    public static boolean leave_enabled;
    public static boolean firstjoin_enabled;
    public static boolean motds_enabled;
    public static String join_actions;
    public static String leave_actions;
    public static String firstjoin_actions;
    public static List<String> motds_actions;


    public static void init(FileConfiguration config) {
        yml = config;
        join_enabled = yml.getBoolean("join.enabled");
        if(join_enabled){
            String message = yml.getString("join.actions");
            if(message != null) {
                join_actions = message.replace("&", "§");
            }else{
                join_actions = "";
            }
        }
        leave_enabled = yml.getBoolean("leave.enabled");
        if(leave_enabled){
            String message = yml.getString("leave.actions");
            if(message != null) {
                leave_actions = message.replace("&", "§");
            }else{
                leave_actions = "";
            }
        }
        firstjoin_enabled = yml.getBoolean("firstjoin.enabled");
        if(firstjoin_enabled){
            String message = yml.getString("firstjoin.actions");
            if(message != null) {
                firstjoin_actions = message.replace("&", "§");
            }else{
                firstjoin_actions = "";
            }
        }
        motds_enabled = yml.getBoolean("motds.enabled");
        if(motds_enabled){
            String message = yml.getString("motds.actions");
            if(message != null) {
                motds_actions = yml.getStringList("motds.actions");
            }else{
                motds_actions = new ArrayList<>();
            }
        }
    }

}
